
# About logback

Thank you for your interest in logback, the reliable, generic, fast
and flexible logging library for Java.

The Logback documentation can be found on the [project
web-site](https://logback.qos.ch/documentation.html) as well as under
the docs/ folder of the logback distribution.

# Building logback

Version 1.3.x requires Java 9 to compile and build.

More details on building logback is documented at:

  https://logback.qos.ch/setup.html#ide

# In case of problems

In case of problems please do not hesitate to post an e-mail message
on the logback-user@qos.ch mailing list.  However, please do not
directly e-mail logback developers. The answer to your question might
be useful to other users. Moreover, there are many knowledgeable users
on the logback-user mailing lists who can quickly answer your
questions.


# Pull requests

If you are interested in improving logback, great! The logback community
looks forward to your contribution. Please follow this process:

1. Please file a [bug
   report](https://logback.qos.ch/bugreport.html). Pull requests with
   an associated JIRA issue will get more attention.

   Optional: Start a discussion on the [logback-dev mailing
   list](https://logback.qos.ch/mailinglist.html) about your proposed
   change.

2. Fork qos-ch/logback. Ideally, create a new branch from your fork for
   your contribution to make it easier to merge your changes back.

3. Make your changes on the branch you hopefully created in Step 2. Be
   sure that your code passes existing unit tests.

4. Please add unit tests for your work if appropriate. It usually is.

5. Push your changes to your fork/branch in GitHub. Don't push it to
   your master! If you do it will make it harder to submit new changes
   later.

6. Submit a pull request to logback from your commit page on GitHub.


# Build Status
[![Build Status](https://travis-ci.org/qos-ch/slf4j.png)](https://travis-ci.org/qos-ch/slf4j)
